다음을 통해 공유


Events - Get By Type

OData 쿼리 실행
이벤트에 대한 OData 쿼리를 실행합니다.

GET https://api.applicationinsights.io/v1/apps/{appId}/events/{eventType}
GET https://api.applicationinsights.io/v1/apps/{appId}/events/{eventType}?timespan={timespan}&$filter={$filter}&$search={$search}&$orderby={$orderby}&$select={$select}&$skip={$skip}&$top={$top}&$format={$format}&$count={$count}&$apply={$apply}

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
appId
path True

string

애플리케이션의 ID입니다. Azure Portal의 API 액세스 설정 블레이드에서 애플리케이션 ID입니다.

eventType
path True

EventType

쿼리할 이벤트의 형식입니다. 표준 이벤트 유형(traces, customEvents, pageViews, requests, dependencies, exceptions, availabilityResults) 또는 모든 이벤트 형식에서 쿼리할 $all.

$apply
query

string

반환된 이벤트에 대한 집계에 사용되는 식입니다.

$count
query

boolean

반환된 이벤트에 포함된 일치하는 항목 수 요청

$filter
query

string

반환된 이벤트를 필터링하는 데 사용되는 식입니다.

$format
query

string

반환된 이벤트의 형식

$orderby
query

string

반환된 이벤트의 순서를 제어하기 위해 "asc"(기본값) 또는 "desc"를 사용하여 쉼표로 구분된 속성 목록

$search
query

string

특정 이벤트를 반환해야 하는지 여부를 일치시킬 자유 텍스트 검색 식입니다.

$select
query

string

반환된 각 이벤트에서 요청된 속성으로만 속성을 제한합니다.

$skip
query

integer (int32)

이벤트를 반환하기 전에 건너뛸 항목 수

$top
query

integer (int32)

반환할 이벤트 수

timespan
query

string

선택적. 이벤트를 검색할 시간 범위입니다. 이는 ISO8601 기간 값입니다. 이 시간 범위는 Odata 식에 지정된 시간 외에 적용됩니다.

응답

Name 형식 Description
200 OK

eventsResults

성공적인 응답

Other Status Codes

errorResponse

오류 응답 개체입니다.

보안

oauth2

Azure Application Insights API에 연결

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https%3A%2F%2Fapi.applicationinsights.io

범위

Name Description
user_impersonation 사용자 계정 가장

예제

eventByType

샘플 요청

GET https://api.applicationinsights.io/v1/apps/DEMO_APP/events/traces

샘플 응답

{
  "@odata.context": "https://api.applicationinsights.io/v1/apps/DEMO_APP/events/$metadata#traces",
  "@ai.messages": [
    {
      "code": "AddedLimitToQuery",
      "message": "The query was limited to last 12 hours, since no other limit for timestamp field was specified"
    }
  ],
  "value": [
    {
      "id": "dc76df01-0141-11e8-9894-e3e7c1eeabad",
      "type": "trace",
      "count": 1,
      "timestamp": "2018-01-24T20:04:32.243Z",
      "customDimensions": null,
      "customMeasurements": null,
      "operation": {
        "name": "GET /FabrikamProd/Employees/Create",
        "id": "HPFy1bNlyQ0=",
        "parentId": "|HPFy1bNlyQ0=.c642e1f1_",
        "syntheticSource": "Application Insights Availability Monitoring"
      },
      "session": {
        "id": "97915c9e-2ba3-4258-82f5-84233de21127"
      },
      "user": {
        "id": "emea-ru-msa-edge_97915c9e-2ba3-4258-82f5-84233de21127",
        "accountId": null,
        "authenticatedId": null
      },
      "cloud": {
        "roleName": "",
        "roleInstance": "AIConnect2"
      },
      "ai": {
        "iKey": "5a2e4e0c-e136-4a15-9824-90ba859b0a89",
        "appName": "fabrikamprod",
        "appId": "cf58dcfd-0683-487c-bc84-048789bca8e5",
        "sdkVersion": "sd:2.4.1-442"
      },
      "trace": {
        "message": "New Request Received",
        "severityLevel": 0
      },
      "application": {
        "version": ""
      },
      "client": {
        "model": null,
        "os": null,
        "type": "PC",
        "browser": null,
        "ip": "51.140.105.0",
        "city": "London",
        "stateOrProvince": "England",
        "countryOrRegion": "United Kingdom"
      }
    },
    {
      "id": "ca54b09b-0141-11e8-8c76-4de3c2c29f12",
      "type": "trace",
      "count": 1,
      "timestamp": "2018-01-24T20:04:22.799Z",
      "customDimensions": null,
      "customMeasurements": null,
      "operation": {
        "name": "GET /FabrikamProd/Employees/Create",
        "id": "fYhtYFzAYv4=",
        "parentId": "|fYhtYFzAYv4=.c642e1f0_",
        "syntheticSource": "Application Insights Availability Monitoring"
      },
      "session": {
        "id": "e0aca036-2ef0-4c41-adb9-5875625901ee"
      },
      "user": {
        "id": "us-fl-mia-edge_e0aca036-2ef0-4c41-adb9-5875625901ee",
        "accountId": null,
        "authenticatedId": null
      },
      "cloud": {
        "roleName": "",
        "roleInstance": "AIConnect2"
      },
      "ai": {
        "iKey": "5a2e4e0c-e136-4a15-9824-90ba859b0a89",
        "appName": "fabrikamprod",
        "appId": "cf58dcfd-0683-487c-bc84-048789bca8e5",
        "sdkVersion": "sd:2.4.1-442"
      },
      "trace": {
        "message": "New Request Received",
        "severityLevel": 0
      },
      "application": {
        "version": ""
      },
      "client": {
        "model": null,
        "os": null,
        "type": "PC",
        "browser": null,
        "ip": "52.173.244.0",
        "city": "Des Moines",
        "stateOrProvince": "Iowa",
        "countryOrRegion": "United States"
      }
    },
    {
      "id": "caf07b61-0141-11e8-bb21-bb0d564a046f",
      "type": "trace",
      "count": 1,
      "timestamp": "2018-01-24T20:04:02.106Z",
      "customDimensions": null,
      "customMeasurements": null,
      "operation": {
        "name": "GET /",
        "id": "EfIqgW6eLWQ=",
        "parentId": "|EfIqgW6eLWQ=.1eb73a79_",
        "syntheticSource": "Application Insights Availability Monitoring"
      },
      "session": {
        "id": "323ab959-4c64-4de4-95e9-04334fbd7749"
      },
      "user": {
        "id": "apac-hk-hkn-azr_323ab959-4c64-4de4-95e9-04334fbd7749",
        "accountId": null,
        "authenticatedId": null
      },
      "cloud": {
        "roleName": "fabrikamfiberapp",
        "roleInstance": "RD00155D467E8D"
      },
      "ai": {
        "iKey": "5a2e4e0c-e136-4a15-9824-90ba859b0a89",
        "appName": "fabrikamprod",
        "appId": "cf58dcfd-0683-487c-bc84-048789bca8e5",
        "sdkVersion": "sd:2.4.1-442"
      },
      "trace": {
        "message": "New Request Received",
        "severityLevel": 0
      },
      "application": {
        "version": "AutoGen_49c3aea0-4641-4675-93b5-55f7a62d22d3"
      },
      "client": {
        "model": null,
        "os": null,
        "type": "PC",
        "browser": null,
        "ip": "52.175.39.0",
        "city": "Hong Kong Special Administrative Region",
        "stateOrProvince": "Central and Western District",
        "countryOrRegion": "Hong Kong Special Administrative Region"
      }
    },
    {
      "id": "b8599222-0141-11e8-99cf-07437267f251",
      "type": "trace",
      "count": 1,
      "timestamp": "2018-01-24T20:03:55.554Z",
      "customDimensions": null,
      "customMeasurements": null,
      "operation": {
        "name": "GET /",
        "id": "7j5dSPYFB5A=",
        "parentId": "|7j5dSPYFB5A=.1eb73a78_",
        "syntheticSource": "Application Insights Availability Monitoring"
      },
      "session": {
        "id": "b82a2630-5598-4291-a3db-976117f07490"
      },
      "user": {
        "id": "us-il-ch1-azr_b82a2630-5598-4291-a3db-976117f07490",
        "accountId": null,
        "authenticatedId": null
      },
      "cloud": {
        "roleName": "fabrikamfiberapp",
        "roleInstance": "RD00155D467E8D"
      },
      "ai": {
        "iKey": "5a2e4e0c-e136-4a15-9824-90ba859b0a89",
        "appName": "fabrikamprod",
        "appId": "cf58dcfd-0683-487c-bc84-048789bca8e5",
        "sdkVersion": "sd:2.4.1-442"
      },
      "trace": {
        "message": "New Request Received",
        "severityLevel": 0
      },
      "application": {
        "version": "AutoGen_49c3aea0-4641-4675-93b5-55f7a62d22d3"
      },
      "client": {
        "model": null,
        "os": null,
        "type": "PC",
        "browser": null,
        "ip": "52.237.156.0",
        "city": "Chicago",
        "stateOrProvince": "Illinois",
        "countryOrRegion": "United States"
      }
    },
    {
      "id": "b8599221-0141-11e8-99cf-07437267f251",
      "type": "trace",
      "count": 1,
      "timestamp": "2018-01-24T20:03:37.437Z",
      "customDimensions": null,
      "customMeasurements": null,
      "operation": {
        "name": "GET /",
        "id": "xoAJ+fhhQQE=",
        "parentId": "|xoAJ+fhhQQE=.1eb73a77_",
        "syntheticSource": "Application Insights Availability Monitoring"
      },
      "session": {
        "id": "b2066202-e8cd-47de-8c4c-d4d55f3653a4"
      },
      "user": {
        "id": "emea-ru-msa-edge_b2066202-e8cd-47de-8c4c-d4d55f3653a4",
        "accountId": null,
        "authenticatedId": null
      },
      "cloud": {
        "roleName": "fabrikamfiberapp",
        "roleInstance": "RD00155D467E8D"
      },
      "ai": {
        "iKey": "5a2e4e0c-e136-4a15-9824-90ba859b0a89",
        "appName": "fabrikamprod",
        "appId": "cf58dcfd-0683-487c-bc84-048789bca8e5",
        "sdkVersion": "sd:2.4.1-442"
      },
      "trace": {
        "message": "New Request Received",
        "severityLevel": 0
      },
      "application": {
        "version": "AutoGen_49c3aea0-4641-4675-93b5-55f7a62d22d3"
      },
      "client": {
        "model": null,
        "os": null,
        "type": "PC",
        "browser": null,
        "ip": "51.140.79.0",
        "city": "London",
        "stateOrProvince": "England",
        "countryOrRegion": "United Kingdom"
      }
    }
  ]
}

정의

Name Description
CustomDimensions

이벤트의 사용자 지정 차원

CustomMeasurements

이벤트의 사용자 지정 측정값

errorDetail

오류 세부 정보입니다.

errorInfo

오류에 대한 코드 및 메시지입니다.

errorResponse

오류 세부 정보입니다.

eventsAiInfo

이벤트 결과에 대한 AI 관련 애플리케이션 정보

eventsApplicationInfo

이벤트 결과에 대한 애플리케이션 정보

eventsAvailabilityResultInfo

가용성 결과 정보

eventsAvailabilityResultResult

가용성 결과 결과

eventsBrowserTimingInfo

브라우저 타이밍 정보

eventsBrowserTimingResult

브라우저 타이밍 결과

eventsClientInfo

이벤트 결과에 대한 클라이언트 정보

eventsClientPerformanceInfo

클라이언트 성능 정보

eventsCloudInfo

이벤트 결과에 대한 클라우드 정보

eventsCustomEventInfo

사용자 지정 이벤트 정보

eventsCustomEventResult

사용자 지정 이벤트 결과

eventsCustomMetricInfo

사용자 지정 메트릭 정보

eventsCustomMetricResult

사용자 지정 메트릭 결과

eventsDependencyInfo

종속성 정보

eventsDependencyResult

종속성 결과

eventsExceptionDetail

예외 세부 정보

eventsExceptionDetailsParsedStack

구문 분석된 스택 항목

eventsExceptionInfo

예외 정보

eventsExceptionResult

예외 결과

eventsOperationInfo

이벤트 결과에 대한 작업 정보

eventsPageViewInfo

페이지 보기 정보

eventsPageViewResult

페이지 보기 결과

eventsPerformanceCounterInfo

성능 카운터 정보

eventsPerformanceCounterResult

성능 카운터 결과

eventsRequestInfo

요청 정보

eventsRequestResult

요청 결과

eventsResults

이벤트 쿼리 결과입니다.

eventsSessionInfo

이벤트 결과에 대한 세션 정보

eventsTraceInfo

추적 정보

eventsTraceResult

추적 결과

eventsUserInfo

이벤트 결과에 대한 사용자 정보

EventType

쿼리할 이벤트의 형식입니다. 표준 이벤트 유형(traces, customEvents, pageViews, requests, dependencies, exceptions, availabilityResults) 또는 모든 이벤트 형식에서 쿼리할 $all.

CustomDimensions

이벤트의 사용자 지정 차원

Name 형식 Description
additionalProperties

object

CustomMeasurements

이벤트의 사용자 지정 측정값

Name 형식 Description
additionalProperties

object

errorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalProperties

object

code

string

오류의 코드입니다.

message

string

사람이 읽을 수 있는 오류 메시지입니다.

resources

string[]

오류를 담당하는 리소스를 나타냅니다.

target

string

오류의 책임이 있는 요청의 속성을 나타냅니다.

value

string

오류를 담당하는 '대상'의 값을 나타냅니다.

errorInfo

오류에 대한 코드 및 메시지입니다.

Name 형식 Description
additionalProperties

object

code

string

컴퓨터에서 읽을 수 있는 오류 코드입니다.

details

errorDetail[]

오류 세부 정보입니다.

innererror

errorInfo

오류에 대한 코드 및 메시지입니다.
내부 오류 세부 정보(있는 경우)입니다.

message

string

사람이 읽을 수 있는 오류 메시지입니다.

errorResponse

오류 세부 정보입니다.

Name 형식 Description
error

errorInfo

오류에 대한 코드 및 메시지입니다.
오류 세부 정보입니다.

eventsAiInfo

이벤트 결과에 대한 AI 관련 애플리케이션 정보

Name 형식 Description
appId

string

애플리케이션의 ID

appName

string

애플리케이션의 이름

iKey

string

앱의 iKey

sdkVersion

string

애플리케이션의 SDK 버전

eventsApplicationInfo

이벤트 결과에 대한 애플리케이션 정보

Name 형식 Description
version

string

애플리케이션 버전

eventsAvailabilityResultInfo

가용성 결과 정보

Name 형식 Description
duration

integer (int64)

가용성 결과의 기간

id

string

가용성 결과의 ID

location

string

가용성 결과의 위치

message

string

가용성 결과의 메시지

name

string

가용성 결과의 이름

performanceBucket

string

가용성 결과의 성능 버킷

size

string

가용성 결과의 크기

success

string

가용성 결과가 성공했는지를 나타냅니다.

eventsAvailabilityResultResult

가용성 결과 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

availabilityResult

eventsAvailabilityResultInfo

가용성 결과 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

availabilityResult

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsBrowserTimingInfo

브라우저 타이밍 정보

Name 형식 Description
name

string

페이지의 이름입니다.

networkDuration

integer (int64)

부하의 네트워크 기간

performanceBucket

string

부하의 성능 버킷

processingDuration

integer (int64)

로드 처리 기간

receiveDuration

integer (int64)

로드의 수신 기간

sendDuration

integer (int64)

로드의 보내기 기간

totalDuration

integer (int64)

로드의 총 기간

url

string

페이지의 URL입니다.

urlHost

string

URL의 호스트

urlPath

string

URL의 경로입니다.

eventsBrowserTimingResult

브라우저 타이밍 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

browserTiming

eventsBrowserTimingInfo

브라우저 타이밍 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

clientPerformance

eventsClientPerformanceInfo

클라이언트 성능 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

browserTiming

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsClientInfo

이벤트 결과에 대한 클라이언트 정보

Name 형식 Description
browser

string

클라이언트의 브라우저

city

string

클라이언트의 도시

countryOrRegion

string

클라이언트의 국가 또는 지역

ip

string

클라이언트의 IP 주소

model

string

클라이언트 모델

os

string

클라이언트의 운영 체제

stateOrProvince

string

클라이언트의 주 또는 주

type

string

클라이언트 유형

eventsClientPerformanceInfo

클라이언트 성능 정보

Name 형식 Description
name

string

클라이언트 성능의 이름

eventsCloudInfo

이벤트 결과에 대한 클라우드 정보

Name 형식 Description
roleInstance

string

클라우드의 역할 인스턴스

roleName

string

클라우드의 역할 이름

eventsCustomEventInfo

사용자 지정 이벤트 정보

Name 형식 Description
name

string

사용자 지정 이벤트의 이름

eventsCustomEventResult

사용자 지정 이벤트 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customEvent

eventsCustomEventInfo

사용자 지정 이벤트 정보

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

customEvent

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsCustomMetricInfo

사용자 지정 메트릭 정보

Name 형식 Description
name

string

사용자 지정 메트릭의 이름

value

number (double)

사용자 지정 메트릭의 값입니다.

valueCount

integer (int32)

사용자 지정 메트릭의 수

valueMax

number (double)

사용자 지정 메트릭의 최대값

valueMin

number (double)

사용자 지정 메트릭의 최소값

valueStdDev

number (double)

사용자 지정 메트릭의 표준 편차

valueSum

number (double)

사용자 지정 메트릭의 합계

eventsCustomMetricResult

사용자 지정 메트릭 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

customMetric

eventsCustomMetricInfo

사용자 지정 메트릭 정보

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

customMetric

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsDependencyInfo

종속성 정보

Name 형식 Description
data

string

종속성의 데이터

duration

integer (int64)

종속성 기간

id

string

종속성의 ID

name

string

종속성의 이름

performanceBucket

string

종속성의 성능 버킷

resultCode

string

종속성의 결과 코드

success

string

종속성이 성공했는지를 나타냅니다.

target

string

종속성의 대상

type

string

종속성의 형식

eventsDependencyResult

종속성 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

dependency

eventsDependencyInfo

종속성 정보

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

dependency

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsExceptionDetail

예외 세부 정보

Name 형식 Description
id

string

예외 세부 정보의 ID

message

string

예외 세부 정보의 메시지

outerId

string

예외 세부 정보의 외부 ID

parsedStack

eventsExceptionDetailsParsedStack[]

구문 분석된 스택

severityLevel

string

예외 세부 정보의 심각도 수준

type

string

예외 세부 정보의 형식입니다.

eventsExceptionDetailsParsedStack

구문 분석된 스택 항목

Name 형식 Description
assembly

string

스택 항목의 어셈블리

level

integer (int64)

스택 항목의 수준

line

integer (int64)

스택 항목의 줄

method

string

스택 항목의 메서드

eventsExceptionInfo

예외 정보

Name 형식 Description
assembly

string

예외를 throw한 어셈블리

details

eventsExceptionDetail[]

예외의 세부 정보

handledAt

string

예외가 처리된 위치를 나타냅니다.

innermostAssembly

string

예외의 가장 안쪽 어셈블리

innermostMessage

string

예외의 가장 안쪽 메시지

innermostMethod

string

예외의 가장 안쪽 메서드

innermostType

string

예외의 가장 안쪽 유형

message

string

예외의 메시지

method

string

예외를 throw한 메서드

outerAssembly

string

예외의 외부 어셈블리

outerMessage

string

예외의 외부 메시지

outerMethod

string

예외의 외부 메서드

outerType

string

예외의 외부 형식

problemId

string

예외의 문제 ID

severityLevel

integer

예외의 심각도 수준

type

string

예외의 형식입니다.

eventsExceptionResult

예외 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

exception

eventsExceptionInfo

예외 정보

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

exception

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsOperationInfo

이벤트 결과에 대한 작업 정보

Name 형식 Description
id

string

작업의 ID

name

string

작업 이름

parentId

string

작업의 부모 ID

syntheticSource

string

작업의 가상 원본

eventsPageViewInfo

페이지 보기 정보

Name 형식 Description
duration

string

페이지 보기의 기간

name

string

페이지의 이름입니다.

performanceBucket

string

페이지 보기의 성능 버킷

url

string

페이지의 URL

eventsPageViewResult

페이지 보기 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

pageView

eventsPageViewInfo

페이지 보기 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

pageView

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsPerformanceCounterInfo

성능 카운터 정보

Name 형식 Description
category

string

성능 카운터의 범주

counter

string

성능 카운터의 카운터

instance

string

성능 카운터의 인스턴스

instanceName

string

성능 카운터의 인스턴스 이름

name

string

성능 카운터의 이름

value

number (double)

성능 카운터의 값입니다.

eventsPerformanceCounterResult

성능 카운터 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

performanceCounter

eventsPerformanceCounterInfo

성능 카운터 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

performanceCounter

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsRequestInfo

요청 정보

Name 형식 Description
duration

number (double)

요청 기간

id

string

요청의 ID

name

string

요청의 이름

performanceBucket

string

요청의 성능 버킷

resultCode

string

요청의 결과 코드

source

string

요청의 원본입니다.

success

string

요청이 성공했는지를 나타냅니다.

url

string

요청의 URL

eventsRequestResult

요청 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

request

eventsRequestInfo

요청 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

type string:

request

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsResults

이벤트 쿼리 결과입니다.

Name 형식 Description
@ai.messages

errorInfo[]

이 응답에 대한 OData 메시지입니다.

@odata.context

string

이 응답에 대한 OData 컨텍스트 메타데이터 엔드포인트

value eventsResultData[]:

이벤트 쿼리 결과의 내용입니다.

eventsSessionInfo

이벤트 결과에 대한 세션 정보

Name 형식 Description
id

string

세션의 ID

eventsTraceInfo

추적 정보

Name 형식 Description
message

string

추적 메시지

severityLevel

integer

추적 심각도 수준

eventsTraceResult

추적 결과

Name 형식 Description
ai

eventsAiInfo

이벤트의 AI 정보

application

eventsApplicationInfo

이벤트의 애플리케이션 정보

client

eventsClientInfo

이벤트의 클라이언트 정보

cloud

eventsCloudInfo

이벤트의 클라우드 정보

count

integer (int64)

이벤트 수

customDimensions

CustomDimensions

이벤트의 사용자 지정 차원

customMeasurements

CustomMeasurements

이벤트의 사용자 지정 측정값

id

string

이 이벤트의 고유 ID입니다.

operation

eventsOperationInfo

이벤트의 작업 정보

session

eventsSessionInfo

이벤트의 세션 정보

timestamp

string (date-time)

이벤트의 타임스탬프

trace

eventsTraceInfo

추적 정보

type string:

trace

이벤트의 유형입니다.

user

eventsUserInfo

이벤트의 사용자 정보

eventsUserInfo

이벤트 결과에 대한 사용자 정보

Name 형식 Description
accountId

string

사용자의 계정 ID

authenticatedId

string

사용자의 인증된 ID

id

string

사용자의 ID

EventType

쿼리할 이벤트의 형식입니다. 표준 이벤트 유형(traces, customEvents, pageViews, requests, dependencies, exceptions, availabilityResults) 또는 모든 이벤트 형식에서 쿼리할 $all.

Description
$all
traces
customEvents
pageViews
browserTimings
requests
dependencies
exceptions
availabilityResults
performanceCounters
customMetrics